Subject: Re: bug#15319: Problem with loading emacs session

From: Petr Hracek <[email-masked]>
Date: Mon, 23 Sep 2013 16:28:00 +0200

On 09/12/2013 06:24 PM, Glenn Morris wrote:
> Petr Hracek wrote:
>
>> On 09/10/2013 07:38 PM, Glenn Morris wrote:
>>> Assuming the OP has enabled desktop-save-mode in .emacs, I imagine the
>>> issue here is this change from NEWS in 24.3:
>>>
>>>     ** `desktop-path' no longer includes the "." directory.
>> Yes, that's correct desktop-save-mode is in .emacs file.
>> Does it mean that when I am in some directory and desktop file is
>> created then buffer is not loaded into *scratch*
>> again?
> It's not really anything to do with scratch.
> Try the original recipe again, but in your home directory, and you
> should see how it works.
Hello Glenn,

thank you very much for your time.

I have tried your proposal but neither storing desktop file into ~/
nor into ~/.emacs.d/ helps me.

When I am in some directory like ~/abc/def
and open emacs and write some character and press M-x desktop-save
then when I open the emacs (after closing) any character is visible on 
the emacs screen (GUI)

Could you please help me what I made wrongly?

My .emacs file looks like:
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  '(send-mail-function (quote mailclient-send-it)))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  )

(desktop-save-mode 1)
(put 'upcase-region 'disabled nil)

Thank you in advance

-- 
Best regards / S pozdravem
Petr Hracek